Name:           python-propcache
Version:        0.2.0
Release:        %autorelease
Summary:        Accelerated property cache

License:        Apache-2.0
URL:            https://github.com/aio-libs/propcache
Source:         %{pypi_source propcache}

# Downstream-only: Build normal wheels in-place
#
# Upstream wants to build only editable wheels in-place, building normal
# wheels in a temporary directory. This is reasonable in principle, but
# the implementation conflicts with the pyproject-rpm-macros, resulting in
# an unbounded recursion of nested temporary directories.
Patch:          0001-Downstream-only-Build-normal-wheels-in-place.patch

BuildRequires:  python3-devel
BuildRequires:  gcc

BuildRequires:  %{py3_dist pytest}
BuildRequires:  %{py3_dist pytest-xdist}

%global common_description %{expand:
The module provides a fast implementation of cached properties.}

%description %{common_description}


%package -n python3-propcache
Summary:        %{summary}

%description -n python3-propcache %{common_description}


%prep
%autosetup -n propcache-%{version} -p1

# Remove Cython-generated sources; we must ensure they are regenerated.
find . -type f -name '*.c' -print -delete

# Patch out coverage-related pytest options:
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_linters
sed -r -i 's/^([[:blank:]]*)(.*[-_]cov)/\1# \2/' pytest.ini


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l propcache


%check
%pyproject_check_import
%pytest -v


%files -n python3-propcache -f %{pyproject_files}
%doc CHANGES.rst
%doc README.rst


%changelog
%autochangelog
